GTransportServerChannel (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.transport.gnet.GTransportServerChannel class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport.gnet
Class GTransportServerChannel

    java.lang.Object
      org.codehaus.activemq.transport.TransportServerChannelSupport
          org.codehaus.activemq.transport.gnet.GTransportServerChannel

All Implemented Interfaces:
  Service, TransportServerChannel

public class GTransportServerChannel
extends TransportServerChannelSupport
implements TransportServerChannel

An implementation of TransportServerChannel which uses the Geronimo network layer for connectivity.

Version:
  $Revision: 1.12 $

Field Summary
`protected static int` | `BACKLOG`

Constructor Summary
`GTransportServerChannel(WireFormat wireFormat, URI bindAddr, org.apache.geronimo.network.SelectorManager selectorManager, org.apache.geronimo.pool.ThreadPool threadPool, org.apache.geronimo.pool.ClockPool clockPool)` Default Constructor

Method Summary
`void` | `start()` start listeneing for events
`void` | `stop()` close the ServerChannel
`String` | `toString()`

Methods inherited from class org.codehaus.activemq.transport.TransportServerChannelSupport
`addClient, getTransportChannelListener, getUrl, setTransportChannelListener, setUrl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.activemq.transport.TransportServerChannel
`getUrl, setTransportChannelListener`

Field Detail

### BACKLOG

    protected static final int BACKLOG

See Also:
  Constant Field Values

Constructor Detail

### GTransportServerChannel

    public GTransportServerChannel(WireFormat wireFormat,
                                   URI bindAddr,
                                   org.apache.geronimo.network.SelectorManager selectorManager,
                                   org.apache.geronimo.pool.ThreadPool threadPool,
                                   org.apache.geronimo.pool.ClockPool clockPool)
                            throws Exception

  Default Constructor

Parameters:
  `bindAddr` -
Throws:
  `JMSException`
  `Exception`

Method Detail

### start

    public void start()
               throws JMSException

  start listeneing for events

  Specified by:
    `start` in interface `TransportServerChannel`
  Overrides:
    `start` in class `TransportServerChannelSupport`
  Throws:
    `JMSException` - if an error occurs

### stop

    public void stop()
              throws JMSException

  close the ServerChannel

  Specified by:
    `stop` in interface `TransportServerChannel`
  Overrides:
    `stop` in class `TransportServerChannelSupport`
  Throws:
    `JMSException`

### toString

    public String toString()

  Returns:
    pretty print of this

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.